Skip to content

Get an access token

GET
/v1/access-tokens/{access_token_id}
access_token_id
required
Access Token Id
string format: uuid

Successful Response

AccessToken
object
id
required
Id
string
name
Any of:
string
scope
required
AccessTokenScope
string
Allowed values: ALL_REPO SELECTED_REPO
grants
required
Grants
Array<string>
Allowed values: ALL GIT_HTTP_READ GIT_HTTP_WRITE API_COMMITS_READ API_REPOS_READ API_REPOS_WRITE API_WEBHOOKS API_STORAGE API_OIDC_TRUST
repositories
Repositories
Array<object>
AccessTokenRepository
object
id
required
Id
string
name
required
Name
string
full_name
required
Full Name
string
token
Any of:
string
last_accessed_at
Any of:
string
expires_at
Any of:
string
created_at
Any of:
string

Not Found

GenericError
object
detail
Detail

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string